CVE-2020-35503

Published: 02 June 2021

A NULL pointer dereference flaw was found in the megasas-gen2 SCSI host bus adapter emulation of QEMU in versions before and including 6.0. This issue occurs in the megasas_command_cancelled() callback function while dropping a SCSI request. This flaw allows a privileged guest user to crash the QEMU process on the host, resulting in a denial of service. The highest threat from this vulnerability is to system availability.

Priority

Low

CVSS 3 base score: 6.0

Status

Package Release Status
qemu
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 21.10 (Impish Indri) Deferred
(2021-09-16)
Ubuntu 21.04 (Hirsute Hippo) Deferred
(2021-09-16)
Ubuntu 20.04 LTS (Focal Fossa) Deferred
(2021-09-16)
Ubuntu 18.04 LTS (Bionic Beaver) Deferred
(2021-09-16)
Ubuntu 16.04 ESM (Xenial Xerus) Deferred
(2021-09-16)
Ubuntu 14.04 ESM (Trusty Tahr) Deferred
(2021-09-16)
qemu-kvm
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 21.10 (Impish Indri) Does not exist

Ubuntu 21.04 (Hirsute Hippo) Does not exist

Ubuntu 20.04 LTS (Focal Fossa) Does not exist

Ubuntu 18.04 LTS (Bionic Beaver) Does not exist

Ubuntu 16.04 ESM (Xenial Xerus) Does not exist

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist